# Token Tags

Named collections of tokens. Pass a tag ID to list endpoints to filter results by membership.

 - [GET /token_tags](https://docs.vilna.io/apis/platform/api/token_tag/list-token-tags.md): List token tags with pagination.
 - [POST /token_tags](https://docs.vilna.io/apis/platform/api/token_tag/create-token-tag.md): Create a named collection of tokens within a project. Tag names are unique per project (case-insensitive). Creating a tag whose name already exists returns the existing tag.
 - [GET /token_tags/{token_tag_id}](https://docs.vilna.io/apis/platform/api/token_tag/get-token-tag.md): Get a token tag.
 - [PATCH /token_tags/{token_tag_id}](https://docs.vilna.io/apis/platform/api/token_tag/patch-token-tag.md): Rename a token tag.
 - [DELETE /token_tags/{token_tag_id}](https://docs.vilna.io/apis/platform/api/token_tag/delete-token-tag.md): Delete a token tag.
 - [POST /token_tags/{token_tag_id}/actions/add](https://docs.vilna.io/apis/platform/api/token_tag/add-token-tag-assets.md): Add tokens to a token tag by asset GID.
 - [POST /token_tags/{token_tag_id}/actions/remove](https://docs.vilna.io/apis/platform/api/token_tag/remove-token-tag-assets.md): Remove tokens from a token tag by asset GID.
